## CamelOfflineSettings

CamelOfflineSettings

## Functions

gboolean | camel_offline_settings_get_stay_synchronized ()
void | camel_offline_settings_set_stay_synchronized ()

## Properties

gboolean | stay-synchronized | Read / Write / Construct

## Types and Values

struct | CamelOfflineSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelOfflineSettings
                    ├── CamelIMAPXSettings
                    ╰── CamelNNTPSettings

## Description

## Functions

### camel_offline_settings_get_stay_synchronized ()

    gboolean
    camel_offline_settings_get_stay_synchronized
                                   (CamelOfflineSettings *settings);

Returns whether to synchronize the local cache with the remote server before switching to offline mode, so the store's content can still be read while offline.

#### Parameters

settings | a CamelOfflineSettings |

#### Returns

whether to stay synchronized with the remote server

Since 3.2

### camel_offline_settings_set_stay_synchronized ()

    void
    camel_offline_settings_set_stay_synchronized
                                   (CamelOfflineSettings *settings,
                                    gboolean stay_synchronized);

Sets whether to synchronize the local cache with the remote server before switching to offline mode, so the store's content can still be read while offline.

#### Parameters

settings | a CamelOfflineSettings |
stay_synchronized | whether to stay synchronized with the remote server |

Since 3.2

## Types and Values

### struct CamelOfflineSettings

    struct CamelOfflineSettings;

Contains only private data that should be read and manipulated using the functions below.

Since 3.2

## Property Details

### The `“stay-synchronized”` property

      “stay-synchronized”        gboolean

Stay synchronized with the remote server.

Flags: Read / Write / Construct

Default value: FALSE